package com.prolog.cs.biz.inbound.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-04-11 
 */

@ApiModel
public class OmsAsnBillDVO implements Serializable {

	 /** ASN单明细表ID **/ 
	@ApiModelProperty(value = "ASN单明细表ID") 
	private String lineid;

	 /** 明细行号 **/ 
	@ApiModelProperty(value = "明细行号") 
	private String seqno;

	 /** ASN单表ID **/ 
	@ApiModelProperty(value = "ASN单表ID") 
	private String billid;

	 /** ASN单号 **/ 
	@ApiModelProperty(value = "ASN单号") 
	private String billno;

	 /** 入库仓库ID **/ 
	@ApiModelProperty(value = "入库仓库ID") 
	private String branchid;

	 /** 入库仓库编号 **/ 
	@ApiModelProperty(value = "入库仓库编号") 
	private String branchcode;

	 /** 入库仓库名称 **/ 
	@ApiModelProperty(value = "入库仓库名称") 
	private String branchname;

	 /** 入库仓库库区ID **/ 
	@ApiModelProperty(value = "入库仓库库区ID") 
	private String branchareaid;

	 /** 入库仓库库区 **/ 
	@ApiModelProperty(value = "入库仓库库区") 
	private String brancharea;

	 /** 货主ID **/ 
	@ApiModelProperty(value = "货主ID") 
	private String consignorid;

	 /** 货主名称 **/ 
	@ApiModelProperty(value = "货主名称") 
	private String consignorname;

	 /** 商品ID **/ 
	@ApiModelProperty(value = "商品ID") 
	private String itemid;

	 /** 商品编码 **/ 
	@ApiModelProperty(value = "商品编码") 
	private String itemcode;

	 /** 商品名称 **/ 
	@ApiModelProperty(value = "商品名称") 
	private String itemname;

	 /** 生产厂家 **/ 
	@ApiModelProperty(value = "生产厂家") 
	private String manufacturer;

	 /** 父商品ID **/ 
	@ApiModelProperty(value = "父商品ID") 
	private String parerntItemid;

	 /** 商品类别ID(商品大类)--商品大类表 **/ 
	@ApiModelProperty(value = "商品类别ID(商品大类)--商品大类表") 
	private String categoryId;

	 /** 尺寸 **/ 
	@ApiModelProperty(value = "尺寸") 
	private String sizeCode;

	 /** 颜色 **/ 
	@ApiModelProperty(value = "颜色") 
	private String colorCode;

	 /** 版本 **/ 
	@ApiModelProperty(value = "版本") 
	private String revision;

	 /** 包装数量 **/ 
	@ApiModelProperty(value = "包装数量") 
	private BigDecimal packSize;

	 /** 包装单位 **/ 
	@ApiModelProperty(value = "包装单位") 
	private String packUnits;

	 /** 件数 **/ 
	@ApiModelProperty(value = "件数") 
	private BigDecimal itemPcs;

	 /** 零数 **/ 
	@ApiModelProperty(value = "零数") 
	private BigDecimal itemOdd;

	 /** 数量 **/ 
	@ApiModelProperty(value = "数量") 
	private BigDecimal itemQty;

	 /** 赠品数量 **/ 
	@ApiModelProperty(value = "赠品数量") 
	private BigDecimal freeQty;

	 /** 重量 **/ 
	@ApiModelProperty(value = "重量") 
	private BigDecimal itemWeight;

	 /** 体积 **/ 
	@ApiModelProperty(value = "体积") 
	private BigDecimal itemVolume;

	 /** 含税单价 **/ 
	@ApiModelProperty(value = "含税单价") 
	private BigDecimal price;

	 /** 未税单价 **/ 
	@ApiModelProperty(value = "未税单价") 
	private BigDecimal tniPrice;

	 /** 含税金额 **/ 
	@ApiModelProperty(value = "含税金额") 
	private BigDecimal amt;

	 /** 未税金额 **/ 
	@ApiModelProperty(value = "未税金额") 
	private BigDecimal tniAmt;

	 /** 加工类型 **/ 
	@ApiModelProperty(value = "加工类型") 
	private String machType;

	 /** 批号 **/ 
	@ApiModelProperty(value = "批号") 
	private String lotNo;

	 /** 批次号 **/ 
	@ApiModelProperty(value = "批次号") 
	private String batchNo;

	 /** 生产日期 **/ 
	@ApiModelProperty(value = "生产日期")
	private String pdateFrom;

	 /** 有效期至 **/ 
	@ApiModelProperty(value = "有效期至")
	private String validUntil;

	 /** 批准文号 **/ 
	@ApiModelProperty(value = "批准文号") 
	private String approvalNumber;

	 /** 产地 **/ 
	@ApiModelProperty(value = "产地") 
	private String productionPlace;

	 /** 行备注 **/ 
	@ApiModelProperty(value = "行备注") 
	private String lineRemark;

	 /** 作废原因 **/ 
	@ApiModelProperty(value = "作废原因") 
	private String closedReason;

	 /** 拒收数量 **/ 
	@ApiModelProperty(value = "拒收数量") 
	private BigDecimal rejectQty;

	 /** 退货厂商 **/ 
	@ApiModelProperty(value = "退货厂商") 
	private String rtVendorid;

	 /** 退货原因 **/ 
	@ApiModelProperty(value = "退货原因") 
	private String rtreason;

	 /** 备案凭证号 **/ 
	@ApiModelProperty(value = "备案凭证号") 
	private String paperno;

	 /** 商品印次 **/ 
	@ApiModelProperty(value = "商品印次") 
	private String edition;

	 /** 状态 **/ 
	@ApiModelProperty(value = "状态") 
	private String status;

//	 /** 字符扩展属性1 **/
//	@ApiModelProperty(value = "字符扩展属性1")
//	private String attrStr1;
//
//	 /** 字符扩展属性2 **/
//	@ApiModelProperty(value = "字符扩展属性2")
//	private String attrStr2;
//
//	 /** 字符扩展属性3 **/
//	@ApiModelProperty(value = "字符扩展属性3")
//	private String attrStr3;
//
//	 /** 字符扩展属性4 **/
//	@ApiModelProperty(value = "字符扩展属性4")
//	private String attrStr4;
//
//	 /** 字符扩展属性5 **/
//	@ApiModelProperty(value = "字符扩展属性5")
//	private String attrStr5;
//
//	 /** 字符扩展属性6 **/
//	@ApiModelProperty(value = "字符扩展属性6")
//	private String attrStr6;
//
//	 /** 字符扩展属性7 **/
//	@ApiModelProperty(value = "字符扩展属性7")
//	private String attrStr7;
//
//	 /** 字符扩展属性8 **/
//	@ApiModelProperty(value = "字符扩展属性8")
//	private String attrStr8;
//
//	 /** 字符扩展属性9 **/
//	@ApiModelProperty(value = "字符扩展属性9")
//	private String attrStr9;
//
//	 /** 字符扩展属性10 **/
//	@ApiModelProperty(value = "字符扩展属性10")
//	private String attrStr10;
//
//	 /** 数字扩展属性1 **/
//	@ApiModelProperty(value = "数字扩展属性1")
//	private BigDecimal attrNum1;
//
//	 /** 数字扩展属性2 **/
//	@ApiModelProperty(value = "数字扩展属性2")
//	private BigDecimal attrNum2;
//
//	 /** 数字扩展属性3 **/
//	@ApiModelProperty(value = "数字扩展属性3")
//	private BigDecimal attrNum3;
//
//	 /** 数字扩展属性4 **/
//	@ApiModelProperty(value = "数字扩展属性4")
//	private BigDecimal attrNum4;
//
//	 /** 数字扩展属性5 **/
//	@ApiModelProperty(value = "数字扩展属性5")
//	private BigDecimal attrNum5;
//
//	 /** 日期属性扩展1 **/
//	@ApiModelProperty(value = "日期属性扩展1")
//	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	private Date attrDte1;
//
//	 /** 日期属性扩展2 **/
//	@ApiModelProperty(value = "日期属性扩展2")
//	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	private Date attrDte2;
//
//	 /** 日期属性扩展3 **/
//	@ApiModelProperty(value = "日期属性扩展3")
//	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	private Date attrDte3;
//
//	 /** 日期属性扩展4 **/
//	@ApiModelProperty(value = "日期属性扩展4")
//	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	private Date attrDte4;
//
//	 /** 日期属性扩展5 **/
//	@ApiModelProperty(value = "日期属性扩展5")
//	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	private Date attrDte5;

	 /** 录入员 **/ 
	@ApiModelProperty(value = "录入员") 
	private String createby;

	 /** 录入时间 **/ 
	@ApiModelProperty(value = "录入时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createdate;

	 /** 修改人 **/ 
	@ApiModelProperty(value = "修改人") 
	private String lastmodifyby;

	 /** 修改时间 **/ 
	@ApiModelProperty(value = "修改时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastmodifydate;

	 /** 企业ID **/ 
	@ApiModelProperty(value = "企业ID") 
	private String pEnterpriseid;

	 /** 企业名称 **/ 
	@ApiModelProperty(value = "企业名称") 
	private String pEnterprisename;

	public String getLineid() {
		return lineid;
	}

	public void setLineid(String lineid) {
		this.lineid = lineid;
	}

	public String getSeqno() {
		return seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getBranchareaid() {
		return branchareaid;
	}

	public void setBranchareaid(String branchareaid) {
		this.branchareaid = branchareaid;
	}

	public String getBrancharea() {
		return brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorname() {
		return consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getItemid() {
		return itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getParerntItemid() {
		return parerntItemid;
	}

	public void setParerntItemid(String parerntItemid) {
		this.parerntItemid = parerntItemid;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getSizeCode() {
		return sizeCode;
	}

	public void setSizeCode(String sizeCode) {
		this.sizeCode = sizeCode;
	}

	public String getColorCode() {
		return colorCode;
	}

	public void setColorCode(String colorCode) {
		this.colorCode = colorCode;
	}

	public String getRevision() {
		return revision;
	}

	public void setRevision(String revision) {
		this.revision = revision;
	}

	public BigDecimal getPackSize() {
		return packSize;
	}

	public void setPackSize(BigDecimal packSize) {
		this.packSize = packSize;
	}

	public String getPackUnits() {
		return packUnits;
	}

	public void setPackUnits(String packUnits) {
		this.packUnits = packUnits;
	}

	public BigDecimal getItemPcs() {
		return itemPcs;
	}

	public void setItemPcs(BigDecimal itemPcs) {
		this.itemPcs = itemPcs;
	}

	public BigDecimal getItemOdd() {
		return itemOdd;
	}

	public void setItemOdd(BigDecimal itemOdd) {
		this.itemOdd = itemOdd;
	}

	public BigDecimal getItemQty() {
		return itemQty;
	}

	public void setItemQty(BigDecimal itemQty) {
		this.itemQty = itemQty;
	}

	public BigDecimal getFreeQty() {
		return freeQty;
	}

	public void setFreeQty(BigDecimal freeQty) {
		this.freeQty = freeQty;
	}

	public BigDecimal getItemWeight() {
		return itemWeight;
	}

	public void setItemWeight(BigDecimal itemWeight) {
		this.itemWeight = itemWeight;
	}

	public BigDecimal getItemVolume() {
		return itemVolume;
	}

	public void setItemVolume(BigDecimal itemVolume) {
		this.itemVolume = itemVolume;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getTniPrice() {
		return tniPrice;
	}

	public void setTniPrice(BigDecimal tniPrice) {
		this.tniPrice = tniPrice;
	}

	public BigDecimal getAmt() {
		return amt;
	}

	public void setAmt(BigDecimal amt) {
		this.amt = amt;
	}

	public BigDecimal getTniAmt() {
		return tniAmt;
	}

	public void setTniAmt(BigDecimal tniAmt) {
		this.tniAmt = tniAmt;
	}

	public String getMachType() {
		return machType;
	}

	public void setMachType(String machType) {
		this.machType = machType;
	}

	public String getLotNo() {
		return lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getPdateFrom() {
		return pdateFrom;
	}

	public void setPdateFrom(String pdateFrom) {
		this.pdateFrom = pdateFrom;
	}

	public String getValidUntil() {
		return validUntil;
	}

	public void setValidUntil(String validUntil) {
		this.validUntil = validUntil;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getProductionPlace() {
		return productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getLineRemark() {
		return lineRemark;
	}

	public void setLineRemark(String lineRemark) {
		this.lineRemark = lineRemark;
	}

	public String getClosedReason() {
		return closedReason;
	}

	public void setClosedReason(String closedReason) {
		this.closedReason = closedReason;
	}

	public BigDecimal getRejectQty() {
		return rejectQty;
	}

	public void setRejectQty(BigDecimal rejectQty) {
		this.rejectQty = rejectQty;
	}

	public String getRtVendorid() {
		return rtVendorid;
	}

	public void setRtVendorid(String rtVendorid) {
		this.rtVendorid = rtVendorid;
	}

	public String getRtreason() {
		return rtreason;
	}

	public void setRtreason(String rtreason) {
		this.rtreason = rtreason;
	}

	public String getPaperno() {
		return paperno;
	}

	public void setPaperno(String paperno) {
		this.paperno = paperno;
	}

	public String getEdition() {
		return edition;
	}

	public void setEdition(String edition) {
		this.edition = edition;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getpEnterpriseid() {
		return pEnterpriseid;
	}

	public void setpEnterpriseid(String pEnterpriseid) {
		this.pEnterpriseid = pEnterpriseid;
	}

	public String getpEnterprisename() {
		return pEnterprisename;
	}

	public void setpEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}
}
